Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001006Core InformRules and rulebookspublic2012-09-21 19:312014-05-07 07:33
Reporterzarf 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001006: "No outcome" rulebook outcome cannot be printed
DescriptionIt's rather easy for the "outcome of the rulebook" phrase to return no outcome (0), but if you try to print this, you get a run-time error.

I suppose this could be considered invalid code, but it's easy to do by accident, so I think it's worth handling.

The fix would be to add a special case to the the RulebookOutcomePrintingRule() I6 function -- if the argument is zero, print something special. (Probably "no outcome".)
Minimal Source Text To Reproduce
The Kitchen is a room.

Instead of jumping:
	follow the visibility rules;
	say "Outcome: [outcome of the rulebook]."

! 
! Outcome: 
! [** Programming error: tried to print (string) on something not a string **]
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002385)
graham (administrator)
2014-01-26 10:39

RulebookOutcomePrintingRule now prints "(no outcome)" in this case.

- Issue History
Date Modified Username Field Change
2012-09-21 19:31 zarf New Issue
2012-09-22 07:48 EmacsUser Status new => confirmed
2014-01-26 10:39 graham Note Added: 0002385
2014-01-26 10:39 graham Status confirmed => resolved
2014-01-26 10:39 graham Resolution open => fixed
2014-01-26 10:39 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker